/*-*- C++ -*-*/

#ifndef _VIDEO_DRAIN_H_
#define _VIDEO_DRAIN_H_

#include <vl/vl.h>

#include "standardInclude.h"
#include "videoNode.h"
#include "videoPath.h"

class videoServer;

class videoDrain: public videoNode {

    public:
      void getOffset(const videoPath &, int *x, int *y) const;
      void setPacking(const videoPath &, int packing);
      inline void setOffset(const videoPath &, int x, int y);
      void setZoom(const videoPath &, unsigned numerator, unsigned denominator);

      virtual void pathSetUp(VLPath); // Must be called only by videoPath::videoPath

    protected:
      videoDrain(videoServer *, int kind);

    private:

};

#include "videoDrain_inline.cc"

#endif // _VIDEO_DRAIN_H_
