// -*- C++ -*-

#ifndef _VIDEO_SCREEN_DRAIN_H_
#define _VIDEO_SCREEN_DRAIN_H_

#include <X11/Xlib.h>
#include <video++/videoDrain.h>

class videoPath;

class videoScreenDrain: public videoDrain {

    public:
      videoScreenDrain(videoServer *, Display *, Window);
      void setOrigin(videoPath &, unsigned x, unsigned y);
      void setSize(videoPath &, unsigned width, unsigned height);
      void setOriginAndSize(videoPath &, const XConfigureEvent &);
      void setWindow(Window);

    private:
      void pathSetUp(VLPath);
      
    private:
      VLServer _server;
      Display *_display;
      Window _window;

};

#endif // _VIDEO_SCREEN_DRAIN_H_
