// -*- C++ -*-
// Written by Ch. Tronche (http://tronche.lri.fr:8000/)
// Copyright by the author. This is unmaintained, no-warranty free software. 
// Please use freely. It is appreciated (but not mandatory) to acknowledge
// the author's contribution. Thank you.
// Started on Thu Jan 30 11:15:01 1997

#ifndef _VIDEO_SINGLE_PATH_H_
#define _VIDEO_SINGLE_PATH_H_

#include "videoPath.h"

class videoDrain;
class videoSource;

class videoSinglePath: public videoPath {

    public:
      videoSinglePath(videoSource *, videoDrain *);
      videoSinglePath(videoSource *, videoDrain *const []);

    private:
      void setup(videoSource *, videoDrain *const []);

};

#endif // _VIDEO_SINGLE_PATH_H_
