//
// Written by Ch. Tronche (http://tronche.lri.fr:8000/)
// Copyright by the author. This is unmaintained, no-warranty free software. 
// Please use freely. It is appreciated (but not mandatory) to acknowledge
// the author's contribution. Thank you.
// Started on Thu Mar  6 01:12:56 1997
//

#include "gifAddGraphicControlExtension.h"
#include "oGifStream.h"

void gifAddGraphicControlExtension::store(oGifStream &s)
{
      s.put(0x21);    // Extension Introducer 
      s.put(0xf9);    // Graphic Control Label
      s.put(4);       // Block size
      s.put((_disposal & 0x7) << 2);
      s.storeUnsigned16(_delay);
      s.put(0);       // Transparent Color Index
      s.put(0);       // Terminator
}
