
unsigned gifColorTable::entryNumber(unsigned char packedSize)
{
      return 1 << (packedSize + 1);
}

const unsigned char *gifColorTable::operator[](unsigned index) const
{
      assert(index < _entryNumber);
      return _table + index * entrySize;
}

unsigned gifColorTable::entryNumber() const
{
      return _entryNumber;
}

unsigned gifColorTable::size() const
{
      return entryNumber() * entrySize;
}

unsigned gifColorTable::size(unsigned char packedSize)
{
      return entryNumber(packedSize) * entrySize;
}
