// -*- C++ -*-
//
// Written by Ch. Tronche (http://tronche.lri.fr:8000/)
// Copyright by the author. This is unmaintained, no-warranty free software. 
// Please use freely. It is appreciated (but not mandatory) to acknowledge
// the author's contribution. Thank you.
// Started on Wed Mar  5 19:24:24 1997
//

#ifndef _GIF_L_Z_STREAM_PACKER_H_
#define _GIF_L_Z_STREAM_PACKER_H_

#include <iostream.h>
#include <standardInclude.h>

#include "gifLZPacker.h"

class gifLZStreamPacker: public gifLZPacker {

    public:
      inline explicit gifLZStreamPacker(ostream *);
      inline ~gifLZStreamPacker();

    private:
      inline void append(unsigned n);

    private:
      char _buffer[_bufferSize];
      char *_bufferPosition;
      unsigned _bufferSpaceLeft;

      ostream &_stream;

};

#include "gifLZStreamPacker_inline.cc"

#endif // _GIF_L_Z_STREAM_PACKER_H_
