
gifLZStreamPacker::gifLZStreamPacker(ostream *s)
:_bufferPosition(_buffer), _bufferSpaceLeft(_bufferSize), _stream(*s)
{
      // void
}

gifLZStreamPacker::~gifLZStreamPacker()
{
      if (_left < 8)
	    *_bufferPosition++ = _bitAccumulator;

      unsigned buffered = _bufferPosition - _buffer;
      if (buffered)
	    _stream.put(buffered).write(_buffer, buffered);
}


inline void gifLZStreamPacker::append(unsigned n)
{
      bool resetSize = n == 256;

      // bits is the number of bits to store

      for(int bits = _size; bits ;) {              // We've to store as many bits as the code size
	    _bitAccumulator |= n << 8 - _left;     // Store them
	    unsigned bitStored = MIN(_left, bits);
	    n >>= bitStored;
	    bits -= bitStored;
	    _left -= bitStored;
	    if (!_left) {

		  *_bufferPosition++ = _bitAccumulator;
		  _bufferSpaceLeft--;
		  if (!_bufferSpaceLeft) {
			_stream.put(254).write(_buffer, 254);
			_bufferSpaceLeft = 254;
			_bufferPosition = _buffer;
		  }

		  _bitAccumulator = 0;
		  _left = 8;
	    }
      }

      if (resetSize) _size = 9;
}
