// -*- C++ -*-
//
// Written by Ch. Tronche (http://tronche.lri.fr:8000/)
// Copyright by the author. This is unmaintained, no-warranty free software. 
// Please use freely. It is appreciated (but not mandatory) to acknowledge
// the author's contribution. Thank you.
// Started on Mon Mar  3 11:41:19 1997
//

#ifndef _GIF_UTILS_H_
#define _GIF_UTILS_H_

class gifColorTable;

class gifUtils {

    public:
      static const gifColorTable *rgb332gifColorTable();

       // Return the updated buffer pointer. Doesn't check for buffer overflow (width x height should be enough, except with very short
       // pictures or pathological cases).

      static char *memoryImageFrom8(const char *image, unsigned width, unsigned height, char *buffer);

    private:

};

#endif // _GIF_UTILS_H_

