// -*- C++ -*-

#ifndef _VIDEO_BLENDED_PATH_H_
#define _VIDEO_BLENDED_PATH_H_

#include "videoBlender.h"
#include "videoPath.h"

class videoSource;
class videoDrain;
class videoBlender;

class videoBlendedPath: public videoPath {

    protected:
      videoBlendedPath(videoSource *background, videoSource *foreground, videoDrain *, int keyerMode, bool alphaIsBackground = true);

    protected:
      videoBlender _blender;

};

#endif // _VIDEO_BLENDED_PATH_H_
