#include <vl/vl.h>

#include "videoDrain.h"
#include "videoPath.h"

videoDrain::videoDrain(videoServer *s, int kind)
:videoNode(s, VL_DRN, kind, VL_ANY)
{
      // void
}

void videoDrain::getOffset(const videoPath &path, int *x, int *y) const
{
      getXYControl(path, VL_OFFSET, x, y);
}

void videoDrain::setPacking(const videoPath &path, int packing)
{
      setIntControl(path, VL_PACKING, packing);
}

void videoDrain::setZoom(const videoPath &path, unsigned numerator, unsigned denominator)
{
      setFractControl(path, VL_ZOOM, numerator, denominator);
}

void videoDrain::pathSetUp(VLPath)
{
      // void (redefined by derived classes)
}
