// Written by Ch. Tronche (http://tronche.lri.fr:8000/)
// Copyright by the author. This is unmaintained, no-warranty free software. 
// Please use freely. It is appreciated (but not mandatory) to acknowledge
// the author's contribution. Thank you.
// Started on Thu Jan 30 11:43:34 1997

#include <assert.h>

void videoImageSource::setZoom(unsigned numerator, unsigned denominator)
{
      assert(!_pool);
      _drain.setZoom(_path, numerator, denominator);
}

void videoImageSource::getSize(unsigned *width, unsigned *height) const
{
      _drain.getSize(_path, width, height);
}

void videoImageSource::setPacking(int packing)
{
      assert(!_pool);
      _drain.setPacking(_path, packing);
}
