#include <unistd.h>

#include "videoOBuffer.h"
#include "videoBufferPool.h"
#include "videoError.h"

videoOBuffer::videoOBuffer(videoBufferPool *p, unsigned size)
{
      server = p -> _server;
      buffer = p -> buffer;
      for(;;) {
	    info = vlGetNextFree(server, buffer, size);
	    if (info) break;
	    sginap(1);
      }
}

void *videoOBuffer::activeRegion()
{
      return vlGetActiveRegion(server, buffer, info);
}

videoOBuffer::~videoOBuffer()
{
      vlPutValid(server, buffer);
}
