#include "videoError.h"
#include "videoPath.h"
#include "videoTransferringPath.h"

videoTransferringPath::videoTransferringPath(videoPath *p)
{
      _server = p -> _server;
      _path = *p;
      VLTransferDescriptor xferDesc;
      xferDesc.mode = VL_TRANSFER_MODE_CONTINUOUS;
      xferDesc.count = 1;
      xferDesc.delay = 0;
      xferDesc.trigger = VLTriggerImmediate;
      if (vlBeginTransfer(_server, _path, 0, &xferDesc) < 0)
	    cerr << "videoTransferringPath::videoTransferringPath: " << videoError << stop;
}

videoTransferringPath::~videoTransferringPath()
{
      vlEndTransfer(_server, _path);
}
