/*-*- C++ -*-*/

#ifndef _VIDEO_MEMORY_H_
#define _VIDEO_MEMORY_H_

#include <standardInclude.h>
#include <vl/vl.h>

#include "videoBufferPool.h"
#include "videoIBuffer.h"
#include "videoOBuffer.h"

class videoNode;

class videoMemory {

    public:
      VLServer server() const;

    protected:
      videoMemory(videoNode *);

    private:

  friend videoOBuffer::videoOBuffer(videoBufferPool *, unsigned size);
  friend videoBufferPool::videoBufferPool(videoPath *, videoMemory *, unsigned bufferNumber, bool);

      videoNode *_nodeAccess;

};

#endif // _VIDEO_MEMORY_H_
