/*-*- C++ -*-*/

#ifndef _VIDEO_PATH_H_
#define _VIDEO_PATH_H_

#include <vl/vl.h>

class videoDeviceInfo;
class videoNode;

class videoTransferringPath;

class videoPath {

    public:
      videoPath(videoNode *);
      ~videoPath();
      unsigned transferSize() const;
      inline operator VLPath() const;

    protected:
      VLServer _server;
      VLPath   _path; // Must be loaded by the constructor in the derived class
      int      _transferSize;

      friend class videoTransferringPath;
      // videoTransferringPath::videoTransferringPath reads _server

};

#include "videoPath_inline.cc"

#endif // _VIDEO_PATH_H_
