// -*- C++ -*-
//
// Written by Ch. Tronche (http://tronche.lri.fr:8000/)
// Copyright by the author. This is unmaintained, no-warranty free software. 
// Please use freely. It is appreciated (but not mandatory) to acknowledge
// the author's contribution. Thank you.
// Started on Thu Mar  6 01:12:55 1997
//

#ifndef _GIF_ADD_GRAPHIC_CONTROL_EXTENSION_H_
#define _GIF_ADD_GRAPHIC_CONTROL_EXTENSION_H_

#include "gifStreamable.h"

// BEFORE IMAGE DATA

class gifAddGraphicControlExtension: public gifStreamable {

    public:
      enum disposalMethod { none, doNotDispose, restoreBackgroundColor, restoreToPrevious };

    public:
      inline gifAddGraphicControlExtension(unsigned delayTime = 0, disposalMethod = none);

    private:
      void store(oGifStream &);

    private:
      unsigned _delay;
      disposalMethod _disposal;

};

#include "gifAddGraphicControlExtension_inline.cc"

#endif // _GIF_ADD_GRAPHIC_CONTROL_EXTENSION_H_

