// -*- C++ -*-
//
// Written by Ch. Tronche (http://tronche.lri.fr:8000/)
// Copyright by the author. This is unmaintained, no-warranty free software. 
// Please use freely. It is appreciated (but not mandatory) to acknowledge
// the author's contribution. Thank you.
// Started on Wed Mar  5 19:21:06 1997
//

#ifndef _GIF_L_Z_PACKER_H_
#define _GIF_L_Z_PACKER_H_

class gifLZPacker {

    public:
      virtual inline void append(unsigned n) = 0;
      inline void incrementCodeSize();

    protected:
      inline gifLZPacker();
      virtual ~gifLZPacker() { }

    protected:
      static const _bufferSize = 254;

    protected:
      unsigned char _bitAccumulator; // _bitAccumulator and _left should be in the derived classes, but I'm a lazy man...

      unsigned _left;  // Number of bits left in the current byte
      unsigned _size;  // Size of the code

};

#include "gifLZPacker_inline.cc"

#endif // _GIF_L_Z_PACKER_H_

