#include <unistd.h>

void oGifStream::put(char c)
{
      _physical.put(c);
}

void oGifStream::storeUnsigned16(unsigned i)
{
      put(i & 0xff);
      put((i & 0xff00) >> 8);
}

void oGifStream::write(const char *s, unsigned length)
{
      _physical.write(s, length);
}

unsigned oGifStream::screenWidth() const
{
      return _screenWidth;
}

unsigned oGifStream::screenHeight() const
{
      return _screenHeight;
}

oGifStream::operator ostream &()
{
      return _physical;
}

oGifStream::~oGifStream()
{
      put(0x3b);
}

oGifStream &oGifStream::operator<<(gifStreamable &s)
{
      s.store(*this);
      return *this;
}
