#include <error++/error.h>
#include <iostream.h>

#include "videoBufferPool.h"
#include "videoError.h"
#include "videoMemory.h"
#include "videoNode.h"
#include "videoPath.h"
#include "videoServer.h"

videoBufferPool::videoBufferPool(videoPath *p, videoMemory *node, unsigned bufferNumber, bool noBufferModification)
{
      _server = node -> server();
      VLPath pp = *p;
      VLNode memory = *node -> _nodeAccess;
      buffer = vlCreateBuffer(_server, pp, memory, bufferNumber);
      if (!buffer) cerr << "videoBuffer::videoBuffer: vlCreateBuffer: " << videoError << stop;
      if (noBufferModification)
	    vlBufferAdvise(buffer, VL_BUFFER_ADVISE_NOACCESS);
      if (vlRegisterBuffer(_server, pp, memory, buffer) < 0)
	    cerr << "videoBuffer::videoBuffer: vlRegisterBuffer: " << videoError << stop;
}
