/*-*- C++ -*-*/

#ifndef _VIDEO_BUFFER_POOL_H_
#define _VIDEO_BUFFER_POOL_H_

#include "videoIBuffer.h"
#include "videoOBuffer.h"

#include <vl/vl.h>

class videoMemory;
class videoPath;

class videoBufferPool {

    public:
      videoBufferPool(videoPath *, videoMemory *, unsigned bufferNumber, bool noBufferModification = false);

    private:

  friend videoOBuffer::videoOBuffer(videoBufferPool *, unsigned size);
  friend videoIBuffer::videoIBuffer(videoBufferPool *);

      VLServer _server;
      VLBuffer buffer;

};

#endif // _VIDEO_BUFFER_POOL_H_
