#include <unistd.h>
#include <vl/vl.h>

#include "videoBufferPool.h"
#include "videoIBuffer.h"

videoIBuffer::videoIBuffer(videoBufferPool *p)
{
      server = p -> _server;
      buffer = p -> buffer;
      for(;;) {
	    info = vlGetNextValid(server, buffer);
	    if (info) break;
	    sginap(1);
      }
}

void *videoIBuffer::activeRegion()
{
      return vlGetActiveRegion(server, buffer, info);
}

videoIBuffer::~videoIBuffer()
{
      vlPutFree(server, buffer);
}
